/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  AI_HELP                         1
#define  AI_HELP_TEXTBOX                 2
#define  AI_HELP_CLOSE                   3       /* callback function: AICloseHelpCallback */

#define  AI_PANEL                        2
#define  AI_PANEL_CHANNEL                2       /* callback function: AIChannelCallback */
#define  AI_PANEL_CHANNELRING            3       /* callback function: AIChannelRingCallback */
#define  AI_PANEL_UPPER                  4       /* callback function: AILimitCallback */
#define  AI_PANEL_LOWER                  5       /* callback function: AILimitCallback */
#define  AI_PANEL_SCANRATE               6       /* callback function: AIScanRateCallback */
#define  AI_PANEL_NUMSCANS               7       /* callback function: AINumScansCallback */
#define  AI_PANEL_TRIGGERING             8       /* callback function: TriggeringCallback */
#define  AI_PANEL_READMODE               9       /* callback function: AIReadModeCallback */
#define  AI_PANEL_BACKLOG                10
#define  AI_PANEL_QUIT                   11      /* callback function: QuitCallback */
#define  AI_PANEL_CLEAR                  12      /* callback function: ClearCallback */
#define  AI_PANEL_ERRORBOX               13
#define  AI_PANEL_TRIGGER_LEVEL          14      /* callback function: TriggerLevelCallback */
#define  AI_PANEL_LOGCONFIG              15      /* callback function: LogConfigCallback */
#define  AI_PANEL_LOGBUTTON              16      /* callback function: LogCallback */
#define  AI_PANEL_GRAPH                  17
#define  AI_PANEL_DEVICE                 18      /* callback function: AIDeviceCallback */
#define  AI_PANEL_DECORATION             19
#define  AI_PANEL_DECORATION_2           20
#define  AI_PANEL_TEXTMSG_2              21
#define  AI_PANEL_TEXTMSG_3              22
#define  AI_PANEL_TEXTMSG_4              23
#define  AI_PANEL_TEXTMSG                24
#define  AI_PANEL_TIMER                  25      /* callback function: AITimerCallback */

#define  CMDEDIT                         3
#define  CMDEDIT_TEXTBOX                 2       /* callback function: ChannelStringEditorCallback */
#define  CMDEDIT_APPLY                   3       /* callback function: ChannelStringEditorCallback */
#define  CMDEDIT_TEXTMSG                 4

#define  LOGCONFIG                       4
#define  LOGCONFIG_FILENAME              2
#define  LOGCONFIG_BROWSE                3       /* callback function: LogPopupCallback */
#define  LOGCONFIG_ACTION                4
#define  LOGCONFIG_FILETYPE              5       /* callback function: LogPopupCallback */
#define  LOGCONFIG_SEPSTYLE              6       /* callback function: LogPopupCallback */
#define  LOGCONFIG_WIDTH                 7
#define  LOGCONFIG_OK                    8       /* callback function: LogPopupCallback */
#define  LOGCONFIG_CANCEL                9       /* callback function: LogPopupCallback */
#define  LOGCONFIG_DECORATION            10
#define  LOGCONFIG_TEXTMSG               11
#define  LOGCONFIG_TEXTMSG_2             12

#define  TRIGGERING                      5
#define  TRIGGERING_TYPE                 2       /* callback function: TriggeringPopupCallback */
#define  TRIGGERING_EDGE_SLOPE           3       /* callback function: TriggeringPopupCallback */
#define  TRIGGERING_SOURCE               4       /* callback function: TriggeringPopupCallback */
#define  TRIGGERING_PRETRIGGER_SCANS     5       /* callback function: TriggeringPopupCallback */
#define  TRIGGERING_OK                   6       /* callback function: TriggeringPopupCallback */
#define  TRIGGERING_APPLY                7       /* callback function: TriggeringPopupCallback */
#define  TRIGGERING_CANCEL               8       /* callback function: TriggeringPopupCallback */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK AIChannelCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK AIChannelRingCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK AICloseHelpCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK AIDeviceCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK AILimitCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK AINumScansCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK AIReadModeCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK AIScanRateCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK AITimerCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ChannelStringEditorCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ClearCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK LogCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK LogConfigCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK LogPopupCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK QuitCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TriggeringCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TriggeringPopupCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TriggerLevelCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
