/************************************************************************/
/*                                                                      */
/*  You can embed commands into the channel string to set the upper and */
/*  lower limits on individual channels as well as the inter-channel    */
/*  sample rate.  See the function panel help for the Channel String    */
/*  parameter of AISampleChannels() for details.                       */
/*                                                                      */
/*  In this project, the user interface has a simple channel string     */
/*  editor in which you can type command/channel strings.               */
/*                                                                      */
/*  This module contains the callback function for the Apply button on  */
/*  the channel string editor.  It takes the contents of the channel    */
/*  string editor, places it in the Channel String control, and calls   */
/*  AIChannelCallback() function.                                       */
/*                                                                      */
/************************************************************************/

#include <userint.h>
#include "ai_async.h"

extern int gAIcmdEditHandle;
extern int gAIpanelHandle;

static char cmdStr[1000];
static int applyInputMode;

static char *StripLineFeeds (char cmdStr[]);


int CVICALLBACK ChannelStringEditorCallback (int panel, int control, int event,
        void *callbackData, int eventData1, int eventData2)
{
        
    switch (control) {
        case CMDEDIT_APPLY:
        
            switch (event) {
                case EVENT_COMMIT:
                    GetCtrlVal (gAIcmdEditHandle, CMDEDIT_TEXTBOX, cmdStr);
                    ResetTextBox (gAIpanelHandle, AI_PANEL_CHANNEL, cmdStr);
                    AIChannelCallback (gAIpanelHandle, AI_PANEL_CHANNEL, EVENT_COMMIT, 0, 0, 0);
                    SetInputMode (gAIcmdEditHandle, CMDEDIT_APPLY, 0);
                    applyInputMode = 0;
                    break;
            }
            break;
    
        case CMDEDIT_TEXTBOX:
            switch (event) {
                case EVENT_VAL_CHANGED:
                    if (!applyInputMode)
                    {
                        SetInputMode (gAIcmdEditHandle, CMDEDIT_APPLY, 1);
                    }
                    break;
            }
            break;
        
    }        
    return 0;
}

static char *StripLineFeeds (char cmdStr[])
{
    char * p = cmdStr;
    
    if (p)
    {
        while (*p)
        {
            if (*p == 13 || *p == 10)
            {
                *p = 32;    /* space key */
            }
            p++;
        }
    
    }
    return cmdStr;

}
