/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  AI_HELP                         1
#define  AI_HELP_TEXTBOX                 2
#define  AI_HELP_CLOSE                   3       /* callback function: AICloseHelpCallback */

#define  AI_PANEL                        2
#define  AI_PANEL_CHANNEL                2       /* callback function: AIChannelCallback */
#define  AI_PANEL_CHANNELRING            3       /* callback function: AIChannelRingCallback */
#define  AI_PANEL_SCANRATE               4       /* callback function: AIScanRateCallback */
#define  AI_PANEL_ETS_SCANRATE           5       /* callback function: AIScanRateCallback */
#define  AI_PANEL_ACTUAL_SCAN_RATE       6
#define  AI_PANEL_ACTUAL_ETS_SCAN_RATE   7
#define  AI_PANEL_ETS_TIME_LIMIT         8       /* callback function: AIetsTimeLimitCallback */
#define  AI_PANEL_NUMSCANS               9       /* callback function: AINumScansCallback */
#define  AI_PANEL_UPPER                  10      /* callback function: AILimitCallback */
#define  AI_PANEL_LOWER                  11      /* callback function: AILimitCallback */
#define  AI_PANEL_TRIGGER_LEVEL          12      /* callback function: TriggerLevelCallback */
#define  AI_PANEL_GRAPH                  13
#define  AI_PANEL_QUIT                   14      /* callback function: QuitCallback */
#define  AI_PANEL_ERRORBOX               15
#define  AI_PANEL_DEVICE                 16      /* callback function: AIDeviceCallback */
#define  AI_PANEL_TEXTMSG_2              17
#define  AI_PANEL_TEXTMSG_3              18
#define  AI_PANEL_TEXTMSG                19
#define  AI_PANEL_TIMER                  20      /* callback function: AITimerCallback */
#define  AI_PANEL_TEXTMSG_4              21
#define  AI_PANEL_PICTURE                22
#define  AI_PANEL_DECORATION             23
#define  AI_PANEL_TEXTMSG_5              24
#define  AI_PANEL_TEXTMSG_6              25


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK AIChannelCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK AIChannelRingCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK AICloseHelpCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK AIDeviceCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK AIetsTimeLimitCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK AILimitCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK AINumScansCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK AIScanRateCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK AITimerCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK QuitCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TriggerLevelCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
